package main

import (
	"os"

	"gitea.com/jolheiser/sip/cmd"

	"github.com/urfave/cli/v2"
	"go.jolheiser.com/beaver"
)

var Version = "develop"

func main() {

	// config loads on init

	app := cli.NewApp()
	app.Name = "Sip"
	app.Usage = "Command line tool to interact with Gitea"
	app.Version = Version
	app.Commands = []*cli.Command{
		&cmd.Config,
		&cmd.Tokens,
		&cmd.Repo,
		&cmd.Issues,
		&cmd.Pulls,
		&cmd.Release,
		&cmd.Open,
	}
	app.Flags = cmd.Flags
	app.EnableBashCompletion = true
	err := app.Run(os.Args)
	if err != nil {
		beaver.Error(err)
	}
}
