package sdk

import "code.gitea.io/sdk/gitea"

// GetForks returns all of a repository's forks
func GetForks(client *gitea.Client, owner, repo string) ([]*gitea.Repository, error) {
	forks := make([]*gitea.Repository, 0)
	p := 1
	for {
		list, err := client.ListForks(owner, repo, gitea.ListForksOptions{
			ListOptions: gitea.ListOptions{
				Page:     p,
				PageSize: 100,
			},
		})
		if err != nil {
			return forks, err
		}
		p++
		forks = append(forks, list...)

		if len(list) == 0 {
			break
		}
	}
	return forks, nil
}

// TODO List Stargazers when SDK supports
// TODO List Watchers when SDK supports
